function oppstart() {
    
    //init -------------------------------------------------------
    var partier = ["Rødt", "SV", "A", "SP", "MDG", "KrF", "V", "H", "FrP", "PIR"];
    var valgurne = [0,0,0,0,0,0,0,0,0,0];
    var resultat2013 = [3.7, 5.0, 23.0, 4.2, 3.8, 2.8, 6.7, 28.2, 15.6, 4.32];
    var passord = ["Passord001", "Passord002", "Passord003", "Passord004", "Passord005", "Passord006", "Passord007", "Passord008", "Passord009", "Passord010"];    
    
    var logginnDiv = document.getElementById("logginnDiv");
    var stemmeDiv = document.getElementById("stemmeDiv");
    var resultatDiv = document.getElementById("resultatDiv");
    var txtLogginn = document.getElementById("txtLogginn");
    var txtStemme = document.getElementById("txtStemme");
    var txtResultat = document.getElementById("txtResultat");
    var slcParti = document.getElementById("slcParti");
    var inpLogginn = document.getElementById("inpLogginn");
    var btnLogginn = document.getElementById("btnLogginn");
    var btnAvgiStm = document.getElementById("btnAvgiStm");
    var btnResultat = document.getElementById("btnResultat");
    var btnAvsluttStm = document.getElementById("btnAvsluttStm");    
    
    //fyll select-boksen med partier
    for (var i = 0; i < partier.length; i++) {
            slcParti.innerHTML += "<option>" + partier[i] + "</option>";
    }
    
    btnLogginn.onclick = logginn;
    btnAvgiStm.onclick = avgiStm;
    btnAvsluttStm.onclick = avslutt;
    btnResultat.onclick = visResultat;
    slcParti.onchange = partivalg;
    
    //--------------------------------------------------------------
    function logginn() {
        
        var indeks = passord.indexOf(inpLogginn.value); //let i arrayen etter passordet fra brukeren
        
        if (indeks == -1) {            
            txtLogginn.innerHTML = "Passordet finnes ikke eller er allerede brukt - prøv igjen";
        }
        else {
            passord.splice(indeks, 1); //slett passordet fra arrayen
            stemmeDiv.style.display = "initial"; //vis stemme-delen
            logginnDiv.style.display = "none"; //skjul innloggings-delen
            resultatDiv.style.display = "none"; //skjul resultat-delen
            txtLogginn.innerHTML = "";
            btnAvgiStm.disabled = false;
            slcParti.selectedIndex = -1;
        }        
    }
    
    //--------------------------------------------------------------
    function partivalg() {
        
        txtStemme.innerHTML = "Du har valgt " + partier[slcParti.selectedIndex];        
    }
    
    //--------------------------------------------------------------
    function avgiStm() {       
            
        var indeks = slcParti.selectedIndex; //får tak i valgt parti
        if (indeks >= 0) {
            valgurne[indeks]++;
            txtStemme.innerHTML = "Din stemme er registrert"; 
            btnAvgiStm.disabled = true;
            console.log(valgurne);
        }
        else {
            txtStemme.innerHTML = "Du har ikke valgt parti - prøv på nytt"; 
        }        
    }
    
    //--------------------------------------------------------------
    function avslutt() {
        
        logginnDiv.style.display = "initial"; //vis innloggings-delen
        stemmeDiv.style.display = "none"; //skjul stemme-delen
        resultatDiv.style.display = "none"; //skjul resultat-delen
        txtStemme.innerHTML = "";        
    }
    
    //--------------------------------------------------------------
    function visResultat() {
        
        //finner antall stemmer
        var antallStm = 0;
        for (var i = 0; i < valgurne.length; i++) {
            antallStm += valgurne[i];
        }
        
        if (!antallStm > 0) {
            txtLogginn.innerHTML = "Ingen stemmer er registrert";
            return;
        }
        
        resultatDiv.style.display = "initial"; //vis resultat-delen  
        
        //viser resultater i prosent
        var html = "";
        for (var i = 0; i < valgurne.length; i++) {
            var prosent = (valgurne[i]/antallStm)*100;
            var endring = prosent - resultat2013[i];
            
            html += "<p>";
            html += partier[i] + ": " + prosent.toFixed(1) + " %. ";
            html += "Endring fra 2013: " + (endring > 0 ? "+" : "") + endring.toFixed(1) + " prosentpoeng";
            html += "</p>";
        }      
        
        txtResultat.innerHTML = html;
    }   
}